Arduino

Reference Language | Libraries | Comparison | Changes

SD : File class

## seek()

Seek to a new position in the file, which must be between 0 and the size of the file (inclusive).

#### Syntax

file.seek(pos)

#### Parameters

file: an instance of the File class (returned by SD.open())

pos: the position to which to seek (unsigned long)

#### Returns

true for success, false for failure (boolean)

#### See Also

- position()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes